.the-main-g{
    background-size: cover;
    border-top: 2px solid #f9f9f9;
}
.the-main-g > .banner-g {
    background: url("https://www.hncloud.com/static/images/keywords-detail/banner-bg.png") center no-repeat;
    background-size: cover;
    position: relative;
}

.tag-box-bg{
    background: url("https://www.hncloud.com/static/images/tags-detail/main-bg.png") top no-repeat;
    background-size: cover;
}
.tag-box{
    display: flex;
    align-items: center; /* 垂直居中对齐 */
    gap: 6px; /* 可选：添加一点间距 */
}
.tag-box span {
    font-size: 36px;
    line-height: 1;
    color: #409eff;
}
.tag-box h3 {
    font-size: 36px;
    line-height: 1;
    margin-left: 12px;
}

.the-main-g > .content {
    /*background-color: #f9f9f9;*/
    padding: 32px 0 0;
}

.the-main-g > .content .w-1200-g{
    display: flex;
    padding-bottom: 64px;
}

.the-main-g > .content .left {
    display: flex;
    width: 0;
    flex-grow: 1;
    border: 0;
    padding: 0 24px;
    background-color: #FFFFFF;
    flex-direction: column;
}

.the-main-g > .content .route {
    color: #333333;
}

.the-main-g > .content .route-gray {
    color: #999999;
}

.the-main-g > .content .crumbs {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 16px 0;
    width: 100%;
}

.the-main-g > .content .crumbs .hn-icon-right {
    font-size: 12px;
    margin: 0 8px;
    color: #333333;
}

.the-main-g > .content .left .keyword-content {
    margin-top: 24px;
    font-size: 16px;
    line-height: 1.75em;
    color: #000;
}

.the-main-g > .content .left .keyword-content-title {
    font-size: 24px;
}

.the-main-g > .content .left .MsoNormal {
    text-indent: 2em;
}

.the-main-g > .content .left .ad-content {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
    text-align: center;
    padding-top: 24px;
    border-top: 1px solid #dddddd;
    margin-bottom: 24px;
}
.the-main-g > .content .left .ad-content .ad-content-li{
    max-width: 25%;
}

.the-main-g > .content .left .ad-content a {
    color: #333;
    text-decoration: none;
}
.the-main-g > .content .left .ad-content a img{
    max-width: 100%;
}
.the-main-g > .content .left .articleList {
    border-top: 1px solid #dddddd;
}

.the-main-g > .content .left .one-article {
    display: flex;
    align-items: center;
    height: 160px;
    background-color: #fff;
}

.the-main-g > .content .left .one-article + .one-article {
    border-top: 1px dashed #dddddd;
}

.the-main-g > .content .one-article .date {
    border: 1px solid #409eff;
    text-align: center;
    margin-right: 40px;
}

.the-main-g > .content .one-article .date .top {
    width: 49px;
    height: 28px;
    line-height: 28px;
    background-color: #409eff;
    color: #fff;
}

.the-main-g > .content .one-article .date .bottom {
    width: 49px;
    height: 28px;
    line-height: 28px;
    color: #409eff;
}

.the-main-g > .content .one-article .right {
    display: flex;
    width: 0;
    flex-grow: 1;
    flex-direction: column;
}

.the-main-g > .content .one-article .title {
    margin-bottom: 20px;
    font-size: 18px;
    color: #333;
}

.the-main-g > .content .one-article .desc {
    height: 55px;
    line-height: 30px;
    font-size: 16px;
    color: #666666;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.the-main-g > .content .right {
    width: 256px;
    margin-left: 24px;
    flex-shrink: 0;
}

.the-main-g > .content .right .banner{
    width: 100%;
    margin-top: 10px;
    margin-bottom: 10px;
}

.the-main-g > .content .right .box-card {
    border-radius: 4px;
    border: 1px solid #ebeef5;
    background-color: #fff;
    overflow: hidden;
    color: #303133;
    transition: .3s;
    font-size: 14px;
}
.the-main-g > .content .right .box-card:first-child{
    margin-bottom: 10px;
}
.the-main-g > .content .right .box-card:last-child{
    margin-top: 10px;
}

.the-main-g > .content .box-card .header {
    padding: 16px 24px;
    border-bottom: 1px solid #ebeef5;
    box-sizing: border-box;
    display: flex;
    font-size: 16px;
    justify-content: flex-start;
}

.the-main-g > .content .box-card .header-title {
    height: 24px;
}

.the-main-g > .content .right .header img {
    margin-right: 8px;
}

.the-main-g > .content .right .tags {
    margin: 8px 0;
}

.the-main-g > .content .right .tag {
    color: #666666;
    width: auto;
    display: inline-block;
    height: 30px;
    line-height: 30px;
    position: relative;
    font-size: 12px;
    background-color: #f7f9fa;
    padding: 0 10px;
    margin: 8px 0 8px 20px;
    border-radius: 2px;
    cursor: pointer;
}

.the-main-g > .content .right .tag a{
    max-width: 200px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

.the-main-g > .content .right .tag:hover {
    background-color: #409eff;
}

.the-main-g > .content .right .tag a {
    color: #666666;
}

.the-main-g > .content .right .tag:hover a {
    color: #FFFFFF;
}

.the-main-g > .content .right .article-item {
    width: 100%;
    color: #333333;
    margin: 0 0 12px 0;
    padding: 12px 12px 0 28px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    position: relative;
    cursor: pointer;
}

.the-main-g > .content .right .article-item:hover {
    color: #409eff;
}

.the-main-g > .content .right .article-item:before {
    content: '';
    position: absolute;
    width: 4px;
    height: 4px;
    background-color: #666666;
    border-radius: 100%;
    left: 12px;
    top: 20px;
}
